For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/groups/get-api-contacts-v1groups-list.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

List Groups

GET
/api/contacts/v1/groups/list
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { groups, groupError } = await reloop.contacts.groups.list({
6 page: 1,
7 limit: 10,
8});
9
10if (groupError) throw groupError;
11
12console.log(groups.total, groups.groups);
1{
2 "object": "contact_group",
3 "groups": [
4 {
5 "object": "contact_group",
6 "id": "grp_123456789",
7 "name": "Beta Testers",
8 "createdAt": "2026-03-27T10:00:00Z",
9 "updatedAt": "2026-03-27T10:00:00Z"
10 }
11 ],
12 "total": 1,
13 "page": 0,
14 "limit": 0,
15 "event": "evt_123456789"
16}

Query Parameters

pagenumberdefault: 1
  • Minimum value: 1
limitnumberdefault: 100
  • Minimum value: 1
  • Maximum value: 100
searchstring

Search by name

Was this page helpful?